--- title: "Submission results request - Cluster" slug: "submission-results-request-cluster" tags: ["Reference"] updated: 2026-09-03T18:40:43Z published: 2026-09-03T18:40:43Z canonical: "docs.trellix.com/submission-results-request-cluster" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Submission results request - Cluster Returns a malware file analysis report across the cluster. ``` GET https://
/wsapis/mvx/[v2.0.0]/submissions/cluster/done/[uuid]/result ``` ### Note Trellix recommends using the "**Submission results request based on format 2.0**" API as the "**Submission results request - Cluster**" API is reserved for backward compatibility. Required headers: ``` X-FeApi-Token: [API-Token] X-FeClient-Token: [Client-Token] ``` ### Options - address—The IP address of the appliance running the Web Services API. - uuid—Provided by your appliance during the submission process, this key identifies the unique file submitted for analysis. - API-Token—This token authenticates the session. By default, the session times out after 15 minutes of inactivity. - Client-Token—(Optional) This client token is provided by Trellix. For more information about the client token, contact your sales representative. ### Example request ``` GET https://xxx.xxx.xxx.xxx:443/wsapis/mvx/v2.0.0/submissions/cluster/done/90f0f5b1-2981-4942-ab92-a15f7c316481/result ``` Request headers: ``` X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx X-FeClient-Token: BigDataInc ``` ### Results response After the submission results request is received, the appliance forwards the malware object data back to the remote server. ### Note If you make a results request before the analysis is complete, you will receive a response with no analysis data. ``` HTTP/1.1 [Response Code] [Response Message] Date: [Date] ``` Body: ``` [Result Data] ``` ###### Response fields - Response Code—A standard HTML response code. - 200—Request successful. - 401—Request unsuccessful due to incorrect session token. - 404—Request unsuccessful due to incorrect submission key. - Response Message—A standard HTML response message. - OK—Request successful. - Unauthorized—Request unsuccessful due to incorrect session token. - Not Found—Request unsuccessful due to incorrect submission key. - Date—Standard HTML date format. - Results Data—The analysis data of the submitted malware object. ###### Example ``` HTTP/1.1 200 OK Date: Wed, 8 Aug 2018 03:39:00 GMT ``` Body: ``` {"result":{"severity":0,"is_malicious":0,"orig_analyses_complete_time":"2021-03-23720:09:19.138346 "sha256":"58edfbbcf99be2c98a25589954277396d16@cee3c5f265bd9be274e07558fd78", "analysis_info": {"analysis_objects":[{"analyses_end_time":"2021-03-23720:09:19.138346", "sha256":"58edfbbcf99be2c98a25589954277396d16@cee3c5f265bd9be274e07558fd78","signature":"B inary.gz", "ad5_sum": "06f94f5ad4385c070c6b7e73e9717416", "is_prefetch": false, "uuid": "68450b5c-ec89-4032-aa51-bc73b9a2302d", "is_child": false, "url properties":("file-attributes":{"size":1047,"shalsum":"ac2a8b7837c0ff0741cc532c82f9e3760cf3bd4c"), "enum_file_error_code": [{"status_code":16,"error_code":"STATIC ANALYSIS_ONLY", "id":49)} }), "signature": "Binary.gz", "file_name":"hbedv.key.gz", "uuid":"98fef5b1-2981-4942-ab92-a15f7c316481", "file size":1047, "complete_time":"2021-03-23T20:09:19.138346", "ad5sum": "86f94f5ad4385c070c6b7e73e9717416", "file type":83, "verdict": "NON-MALICIOUS", "file desc":"gz","sen_sub_id":762978, "error_code":49, "overall_weight":0, "id":22955, "files analyzed":1, "analyses_start_time":"2021-03-23T20:09:16.034351", "status":"STATIC_ANALYSIS_ONLY"), "verdict":"non-malicious", "uuid": "90f0f5b1-2981-4942-ab92-a15f7c316481", "done time":"2021-03-23120:09:19+0000"} ``` ### cURL code sample: submission results request The following code sample can be copied and executed from any command-line interface that includes the cURL library. This sample builds on the authentication cURL code sample. ### Note In this sample, line breaks are added for readability. Remove these line breaks before you paste the code sample into your command-line tool. **a. cURL code sample (applicable from version 9.1.3 and later)** ``` curl -qgsSkH "Content-Type: multipart/form-data" --no-progress-bar --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" -F https://xxx.xxx.xxx.xxx:443/wsapis/mvx/v2.0.0/submissions/cluster/done/90f0f5b1-2981-4942-ab92-a15f7c316481/result ``` The cURL sample performs the following tasks: - `-q`—This option specifies that the `curlrc` config file is not read or used. Although this is an optional setting, Trellix recommends that you include this option. - `-g`—This option turns off the URL globbing parser. Although this is an optional setting, Trellix recommends that you include this option. - `-s`—This option turns off the progress meter and error message. Although this is an optional setting, Trellix recommends that you include this option. - `-S`—When used with the `-s` option, this option shows error messages if your cURL switch fails. Although this is an optional setting, Trellix recommends that you include this option. - `-k`—This option explicitly allows cURL to perform insecure SSL connections and transfers. This allows you to test your SSL connection without installing a CA certificate. - `-H`—This option allows you to specify a custom header with the `--header` switch. - `Content-Type: multipart/form-data`—This option encodes the data as a multipart form. - `--no-progress-bar`—This option suppresses the cURL download progress bar, which can interfere with the request. - `--header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"`—This custom header includes the API-Token that was returned by your appliance during the authentication request. In the authentication cURL code sample, this token was included in the `auth.txt` file. Replace the token in the sample with the token received in response to your authentication request. ###### Results The requested submission returns a JSON-formatted malware analysis report. :